Subject: Re: [P2PSIP] Is P2PSIP RELOAD not suitable to be leverage for both P2P Live Streaming and VoD Service?

From: Tao Ma <[email-masked]>
Date: Wed, 17 Mar 2010 14:18:11 +0800

Hi,
    According to the draft-chen-ppsp-dht-chunk-discovery-evaluation-00.txt
and draft-hu-ppsp-tracker-dht-performance-comparison-01.txt, the performance
evaluation has proved that DHT or RELOAD is not suitable for the chunk
discovery in P2P streaming especially the live media streaming. The
stringent requirments for the registration and updating for the chunk
description information have put DHT no place to display its abilities.The
searching efficiency and work load become the two bottlenecks.
    But I think the conclusion that "P2PSIP RELOAD is not suitable to be
leverage for both P2P Live Streaming and VoD Service" need more discussion
and thinking. DHT might be not suitable for the scenarios that include
highly dynamic resource and information.But as Bruce mentioned in his
discussion, we should not make all the nodes as DHT routing nodes. By
cautionally defining which node should join the routing process to reduce
the routing hops and messages, and introducing new broadcasting or multicast
mechanisms to  advertise and update media information , the DHT/RELOAD can
be used in P2P streaming. IMHO, there are at least several usages: DHT based
tracker (not fully distributed, but distribute some resource information
stored in tracker), load balancing, and P2P CDN as Lichun proposed in
draft-li-ppsp-p2p-cdn-00.txt<http://www.ietf.org/internet-drafts/draft-li-ppsp-p2p-cdn-00.txt>
.

Tao Ma
Beijing University of Posts and Telecommunications, Mobile lIfe and New
mEdia(MINE) Lab

2010/3/17 <[email-masked]>

>
>
> Today's Topics:
>
>   1. Re:  Is P2PSIP RELOAD not suitable to be leverage for both
>      P2P Live Streaming and VoD Service? ([email-masked])
>
>
> ----------------------------------------------------------------------
>
> Message: 1
> Date: Tue, 16 Mar 2010 10:49:27 +0800
> From: <[email-masked]>[email-masked]
> Subject: Re: [P2PSIP] Is P2PSIP RELOAD not suitable to be leverage for
>        both P2P Live Streaming and VoD Service?
> To: jc <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>, [email-masked]
> Message-ID:
>        <
> [email-masked]>
> Content-Type: text/plain; charset="gb2312"
>
> Hi, Julian
>
> I'm curious on how to calculate the DHT node number. What DHT algorithm is
> used? The routing hop count is O(log N)?
> Are these 57,142.857 nodes super user nodes? If the DHT overlay is formed
> by servers, how many servers are required?
>
> By the way, I have a draft about P2P CDN using PPSP and RELOAD. In the
> proposed P2P CDN, trackers (servers) form a DHT overlay.
> http://www.ietf.org/internet-drafts/draft-li-ppsp-p2p-cdn-00.txt
>
> BR
> Lichun
>
>
>
>
> jc <[email-masked]>
> ???:  [email-masked]
> 2010-03-16 07:27
>
> ???
> Bruce Lowekamp <[email-masked]>
> ??
> "[email-masked]" <[email-masked]>
> ??
> Re: [P2PSIP] Is P2PSIP RELOAD not suitable to be leverage for both P2P
> Live Streaming and VoD Service?
>
>
>
>
>
>
> You need 57,142.857 nodes to route 20M of peer traffic. This is the
> algorithm we used in fasttrack and is the same as in skype. This is a
> maximum capacity scenario.
>
> Sent from my iPhone
>
> On Mar 15, 2010, at 6:32 PM, Bruce Lowekamp <[email-masked]> wrote:
>
> They scale fine, but there is a point beyond which adding additional peers
> to the overlay routing merely adds latency.  Don't have time to look up
> the references now, but there are a number of papers discussing the
> advantages of different numbers of peers (superpeers in a lot of systems)
> needed for overlay routing.  You don't need 10M.
>
> Bruce
>
>
> On Mon, Mar 15, 2010 at 11:55 AM, jc <[email-masked]> wrote:
>
> On Mar 15, 2010, at 3:32 PM, Bruce Lowekamp wrote:
>
> The performance comparison draft compares the performance of a centralized
> lookup server with a P2P DHT system with 10M peers.  Since those address
> entirely different use cases, and no one would ever deploy a 10M peer
> distributed tracker, it's not clear what the point of the comparison is.
> This has nothing to do with RELOAD.
>
> There are active distributed trackers w/ > 1M peers. Why would you not
> deploy a 10M user distributed tracker? They do inherently scale infinitely
> by nature.
>
>
> Bruce
>
>
>
> On Mon, Mar 15, 2010 at 12:55 AM, World <[email-masked]> wrote:
> Dear all,
>
> I am thinking what P2P Live Streaming and VoD Service can leverage P2PSIP
> RELOAD. According to some research or proposal report, it seems that
> P2PSIP RELOAD can be used in P2P-based Tracker and/or chunk description
> distribution (chunk discovery) at the full distributed deployment. Both
> P2P-based Tracker and chunk description distribution over P2PSIP overlay
> were evaluated in performance referred to
> draft-chen-ppsp-dht-chunk-discovery-evaluation-00.txt and
> draft-hu-ppsp-tracker-dht-performance-comparison-01.txt. The result showed
> the performance of DHT-based Tracker and chunk description distribution is
> worse, even not acceptable for P2P Live Streaming and VoD Service.
>
> So can we make such conclusion that P2PSIP RELOAD is not suitable to be
> leverage for both P2P Live Streaming and VoD Service in case a full
> distributed deployment is not mandatory? What do you think?
>
> Any comments are welcome. Thanks.
>
> BR,
> Jeffrey
>
>
> _______________________________________________
> P2PSIP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/p2psip
>
>
> _______________________________________________
> P2PSIP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/p2psip
>
> _______________________________________________
> P2PSIP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/p2psip
>
>
>
>
> --------------------------------------------------------
> ZTE Information Security Notice: The information contained in this mail is
> solely property of the sender's organization. This mail communication is
> confidential. Recipients named above are obligated to maintain secrecy and
> are not permitted to disclose the contents of this communication to others.
> This email and any files transmitted with it are confidential and intended
> solely for the use of the individual or entity to whom they are addressed.
> If you have received this email in error please notify the originator of the
> message. Any views expressed in this message are those of the individual
> sender.
> This message has been scanned for viruses and Spam by ZTE Anti-Spam system.
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: <
> http://www.ietf.org/mail-archive/web/p2psip/attachments/20100316/1449808f/attachment.htm
> >
>
> ------------------------------
>
> _______________________________________________
> P2PSIP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/p2psip
>
>
> End of P2PSIP Digest, Vol 39, Issue 19
> **************************************
>